package com.hh.lib_idcard.bean;

/**
 * Description: $
 *
 * @author xwh
 * time 2024/9/5
 **/
public class AmpeResultIDCardBean {
    // -----------身份证---------begin
    private String name;
    private String idNum;
    private String signingOrganization;
    private String address;
    private String nation;
    private String sex;
    private String beginTime;
    private String endTime;
    private String birthDate;
    private String photoBase64;
    // -----------身份证---------end


    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIdNum() {
        return idNum;
    }

    public void setIdNum(String idNum) {
        this.idNum = idNum;
    }

    public String getSigningOrganization() {
        return signingOrganization;
    }

    public void setSigningOrganization(String signingOrganization) {
        this.signingOrganization = signingOrganization;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getNation() {
        return nation;
    }

    public void setNation(String nation) {
        this.nation = nation;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(String beginTime) {
        this.beginTime = beginTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getBirthDate() {
        return birthDate;
    }

    public void setBirthDate(String birthDate) {
        this.birthDate = birthDate;
    }

    public String getPhotoBase64() {
        return photoBase64;
    }

    public void setPhotoBase64(String photoBase64) {
        this.photoBase64 = photoBase64;
    }

    @Override
    public String toString() {
        return "AmpeResultIDCardBean{" +
                "name='" + name + '\'' +
                ", idNum='" + idNum + '\'' +
                ", signingOrganization='" + signingOrganization + '\'' +
                ", address='" + address + '\'' +
                ", nation='" + nation + '\'' +
                ", sex='" + sex + '\'' +
                ", beginTime='" + beginTime + '\'' +
                ", endTime='" + endTime + '\'' +
                ", birthDate='" + birthDate + '\'' +
                ", photoBase64='" + photoBase64 + '\'' +
                '}';
    }
}
